# Uses of Class
org.eclipse.jface.viewers.EditingSupport

Packages that use EditingSupport
Package
Description
org.eclipse.jface.databinding.viewers
Provides classes that can be used to observe the JFace Viewer framework.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.views.markers
Utility classes for working with markers in views
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of EditingSupport in org.eclipse.jface.databinding.viewers

Subclasses of EditingSupport in org.eclipse.jface.databinding.viewers
Modifier and Type
Class
Description
`class`
`ObservableValueEditingSupport<E,M,T>`
`EditingSupport` using the JFace Data Binding concepts to handle the updating of an element from a `CellEditor`.
Methods in org.eclipse.jface.databinding.viewers that return EditingSupport
Modifier and Type
Method
Description
`static <E, M, T> EditingSupport`
ObservableValueEditingSupport.`create(ColumnViewer viewer, DataBindingContext dataBindingContext, CellEditor cellEditor, IValueProperty<? super CellEditor,T> cellEditorProperty, IValueProperty<E,M> elementProperty)`
Returns an ObservableValueEditingSupport instance which binds the given cell editor property to the given element property.

## Uses of EditingSupport in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type EditingSupport
Modifier and Type
Method
Description
`void`
ViewerColumn.`setEditingSupport(EditingSupport editingSupport)`
Set the editing support.

## Uses of EditingSupport in org.eclipse.ui.views.markers

Methods in org.eclipse.ui.views.markers that return EditingSupport
Modifier and Type
Method
Description
`EditingSupport`
MarkerField.`getEditingSupport(ColumnViewer viewer)`
Return the editing support for entries for this field.

## Uses of EditingSupport in org.eclipse.ui.views.properties

Subclasses of EditingSupport in org.eclipse.ui.views.properties
Modifier and Type
Class
Description
`class`
`PropertyEditingSupport`
A concrete subclass of `EditingSupport` that implements cell editing support for column-based viewers (such as e.g.